import { Config } from '@pnpm/config';
import { LogBase } from '@pnpm/logger';
import { CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): Pick<any, never>;
export declare const commandNames: string[];
export declare function help(): string;
export declare type PatchCommandOptions = Pick<Config, 'dir' | 'registries' | 'tag' | 'storeDir'> & CreateStoreControllerOptions & {
    reporter?: (logObj: LogBase) => void;
};
export declare function handler(opts: PatchCommandOptions, params: string[]): Promise<string>;
